Soveren Public API (1.0.0)

Download OpenAPI specification:Download

Soveren Support Team: support@soveren.io URL: https://soveren.io

Soveren Public API

Authentication

token

Security Scheme Type HTTP
HTTP Authorization Scheme bearer
Bearer format "text"

Data types

Get list of data types names and IDs

Authorizations:

Responses

200

Successful response

401

Unauthorized

500

Internal server error

get /api/v1/data-types

Production server.

https://api.soveren.io/api/v1/data-types

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "data_types":
    [
    ],
  • "total": 0
}

Assets

Get list of clusters

Authorizations:

Responses

200

Successful response

401

Unauthorized

500

Internal server error

get /api/v1/clusters

Production server.

https://api.soveren.io/api/v1/clusters

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "clusters":
    [
    ],
  • "total": 0
}

Get list of assets

Authorizations:
query Parameters
limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

cluster_id
integer <int64> >= 1
Example: cluster_id=150

Cluster ID.

namespace
string
Example: namespace=default

Kubernetes namespace of the asset.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/assets

Production server.

https://api.soveren.io/api/v1/assets

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "assets":
    [
    ],
  • "total": 0
}

Get an asset by ID.

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/assets/{id}

Production server.

https://api.soveren.io/api/v1/assets/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "name": "Some asset name",
  • "description": "string",
  • "owner": "John Doe",
  • "kind": "k8s_workload",
  • "info":
    {
    },
  • "data_types":
    [
    ],
  • "first_seen_at": 1638267989332,
  • "last_seen_at": 1638267989332
}

Get data flows of an asset.

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

query Parameters
limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/assets/{id}/data-flows

Production server.

https://api.soveren.io/api/v1/assets/{id}/data-flows

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "data_flows":
    [
    ],
  • "total": 0
}

Endpoints

Get an endpoint by ID.

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/endpoints/{id}

Production server.

https://api.soveren.io/api/v1/endpoints/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "asset_id": 0,
  • "hostname": "api.example.com",
  • "method": "GET",
  • "url": "/api/v1/user/[num]",
  • "request_data_types":
    [
    ],
  • "response_data_types":
    [
    ],
  • "request_data_fields":
    [
    ],
  • "response_data_fields":
    [
    ],
  • "last_seen_at": 1638267989332
}

Get endpoints of an asset.

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

query Parameters
limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/assets/{id}/endpoints

Production server.

https://api.soveren.io/api/v1/assets/{id}/endpoints

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "endpoints":
    [
    ],
  • "total": 0
}

S3

List S3 buckets

Authorizations:
query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

name
string
Example: name=example-bucket

Name of the bucket.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/s3/buckets

Production server.

https://api.soveren.io/api/v1/s3/buckets

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "buckets":
    [],
  • "total": 0
}

Get an S3 bucket by ID

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/s3/buckets/{id}

Production server.

https://api.soveren.io/api/v1/s3/buckets/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{}

Kafka

List Kafka instances

Authorizations:
query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/kafka/instances

Production server.

https://api.soveren.io/api/v1/kafka/instances

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "instances":
    [
    ],
  • "total": 0
}

Get Kafka instance by ID

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/kafka/instances/{id}

Production server.

https://api.soveren.io/api/v1/kafka/instances/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "name": "kafka-prod",
  • "description": "string",
  • "owner": "John Doe",
  • "region": "us-west-2",
  • "has_tls": true,
  • "first_checked_at": 1638267989332,
  • "last_checked_at": 1638267989332,
  • "topics_count": 42,
  • "messages_count": 12345678,
  • "data_types":
    [
    ],
  • "is_sensor_connected": true
}

List Kafka topics

Authorizations:
query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

instance_id
integer <int64> >= 1
Example: instance_id=150

Instance ID.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/kafka/topics

Production server.

https://api.soveren.io/api/v1/kafka/topics

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "topics":
    [
    ],
  • "total": 0
}

Get Kafka topic by ID

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/kafka/topics/{id}

Production server.

https://api.soveren.io/api/v1/kafka/topics/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "name": "user-messages",
  • "description": "string",
  • "owner": "John Doe",
  • "instance_id": 0,
  • "last_checked_at": 1638267989332,
  • "messages_count": 12345,
  • "schemas_count": 5,
  • "data_types":
    [
    ]
}

SQL DB

List SQL DB instances

Authorizations:
query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/sql-db/instances

Production server.

https://api.soveren.io/api/v1/sql-db/instances

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "instances":
    [
    ],
  • "total": 0
}

Get SQL DB instance by ID

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/sql-db/instances/{id}

Production server.

https://api.soveren.io/api/v1/sql-db/instances/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "name": "pg-fin-prod",
  • "description": "string",
  • "owner": "John Doe",
  • "region": "us-west-2",
  • "db_engine": "postgres",
  • "has_tls": true,
  • "first_checked_at": 1638267989332,
  • "last_checked_at": 1638267989332,
  • "databases_count": 5,
  • "size": 123456789,
  • "data_types":
    [
    ],
  • "is_encrypted": true,
  • "is_sensor_connected": true
}

List SQL DB databases

Authorizations:
query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

instance_id
integer <int64> >= 1
Example: instance_id=150

Instance ID.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/sql-db/databases

Production server.

https://api.soveren.io/api/v1/sql-db/databases

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "databases":
    [
    ],
  • "total": 0
}

Get SQL DB database by ID

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

Responses

200

Successful response

401

Unauthorized

404

Not found

500

Internal server error

get /api/v1/sql-db/databases/{id}

Production server.

https://api.soveren.io/api/v1/sql-db/databases/{id}

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "id": 0,
  • "name": "users",
  • "description": "string",
  • "owner": "John Doe",
  • "instance_id": 0,
  • "first_checked_at": 1638267989332,
  • "last_checked_at": 1638267989332,
  • "tables_count": 12345,
  • "size": 123456789,
  • "data_types":
    [
    ]
}

List SQL DB tables

Authorizations:
path Parameters
id
required
integer <int64> >= 0
Example: 150

ID.

query Parameters
offset
integer <int> >= 0
Default: 0
Example: offset=10

Number of entries to skip.

limit
integer <int> >= 1
Default: 100
Example: limit=25

Number of entries to show.

Responses

200

Successful response

400

Invalid request

401

Unauthorized

500

Internal server error

get /api/v1/sql-db/databases/{id}/tables

Production server.

https://api.soveren.io/api/v1/sql-db/databases/{id}/tables

Response samples

Content type
application/json
Copy
Expand all Collapse all
{
  • "tables":
    [
    ],
  • "total": 0
}